> ## Name

> VertexProgram - 3D API vertex program

> ## Usage

> VertexProgram = compile profile "-po profileOption" main(args);

> ## Valid Enumerants

> prog: Null

> ## Description

> Compile a vertex program. See the specification of the OpenGL vertex profile for details. See the specification of the Direct3D vertex shaders for details.

> The standard reset callback sets the VertexProgram state to program(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, GeometryShader, PixelShader, TessellationControlShader, TessellationEvaluationShader, VertexShader